Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 19 Feb 2021 03:28:21 +0000 (UTC)

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I had a bad experience in one of your Babyshop stores in old airport road. I had a gift coupon with me which I got yesterday when I did  a click and collect purchase.
Today I went to Babyshop airport rd branch did a purchase tried to use the gift coupon but after waiting for 30 minutes staff said system not working and coupon cannot be redeemed 
Told me to come later and said will try again 
This is not expected from your group because this coupon is valid only for seven days  I told the staff to extend the validity they said sorry 
I requested them to do it manually they refused 
I am a doctor working in SKMC if we have computer problems we do it manually 
Regards 
Thanks 
DR ASIF https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2114676